package com.kakao.auth.exception;

import com.bytedance.covode.number.Covode;

public class KakaoWebviewException extends Throwable {
    public final String message;

    static {
        Covode.recordClassIndex(45820);
    }

    public String getMessage() {
        return this.message;
    }

    public KakaoWebviewException(int i, String str, String str2) {
        StringBuilder sb = new StringBuilder("code = ");
        sb.append(i);
        if (str != null) {
            sb.append(", msg = ");
            sb.append(str);
        }
        if (str2 != null) {
            sb.append(", url = ");
            sb.append(str2);
        }
        this.message = sb.toString();
    }
}
